Berkeley DB Java Edition version 3.2.76

## com.sleepycat.je
Class PreloadStatus

    java.lang.Object
      com.sleepycat.je.PreloadStatus

    public class PreloadStatus

extends Object

The status values for the Database.preload() operation.

Field Summary
`static PreloadStatus` `EXCEEDED_TIME` preload() took more than maxMillisecs.
`static PreloadStatus` `FILLED_CACHE` preload() filled maxBytes of the cache.
`static PreloadStatus` `SUCCESS` preload() was successful.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESS

    public static final PreloadStatus SUCCESS

  preload() was successful.

### FILLED_CACHE

    public static final PreloadStatus FILLED_CACHE

  preload() filled maxBytes of the cache.

### EXCEEDED_TIME

    public static final PreloadStatus EXCEEDED_TIME

  preload() took more than maxMillisecs.

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.